body {
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

hr {
    width: 500px;
    margin-top: -10px;
    margin-bottom: -10px;
    border-top: 1.2px solid #000000;
}

h1 {
    font-size: 2.25rem;
    margin: 15px;
    padding: 0;
    border: 0
}

#score {
    font-size: 20px;
    margin: 10 px 0;
}

#board {
    width: 400px;
    height: 400px;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);

    border: 6px solid #bbada0;
    background-color: #cdc1b5;
}

.tile {
    display: flex;
    justify-content: center;
    align-items: center;

    border: 5px solid #bbada0;
    background-color: #cdc1b5;
    font-size: 40px;
    font-weight: bold;
}

/* colored tiles */
.x2 {
    background-color: #eee4da;
    color: #727371;
}

.x4 {
    background-color: #ece0ca;
    color: #727371;
}

.x8 {
    background-color: #f4b17a;
    color: white;
}

.x16 {
    background-color: #f59575;
    color: white;
}

.x32 {
    background-color: #f57c5f;
    color: white;
}

.x64 {
    background-color: #f65d3b;
    color: white;
}

.x128 {
    background-color: #edce71;
    color: white;
}

.x256 {
    background-color: #edcc63;
    color: white;
}

.x512 {
    background-color: #edc651;
    color: white;
}

.x1024 {
    background-color: #eec744;
    color: white;
}

.x2048 {
    background-color: #ecc230;
    color: white;
}

.x4096 {
    background-color: #fe3d3d;
    color: white;
}

.x8192 {
    background-color: #ff2020;
    color: white;
}